VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
CListControlRowDesc Struct Reference
New classes » Version 4.9

The description of one row for the CListControl. More...

`#include <clistcontrol.h>`

## Public Types
enum | Flags { Selectable = 1 << 0 , Hoverable = 1 << 1 }

## Public Member Functions
| CListControlRowDesc ()=default
| CListControlRowDesc (CCoord h, int32_t f)

## Public Attributes
CCoord | height {0}
| The height of the row.
int32_t | flags {Selectable}
| The flags of the row, see the Flags enum above.

## Detailed Description

The description of one row for the CListControl.

This is returned by an instance of IListControlConfigurator for every row.

## Member Enumeration Documentation

## ◆ Flags

enum Flags

Enumerator
Selectable | Indicates that the row is selectable.
Hoverable | Indicates that the row should be redrawn when the mouse hovers it.

## Constructor & Destructor Documentation

## ◆ CListControlRowDesc() [1/2]

CListControlRowDesc | ( |  | ) |
| default

## ◆ CListControlRowDesc() [2/2]

CListControlRowDesc | ( | CCoord | h,
|  | int32_t | f )
| inline

## Member Data Documentation

## ◆ flags

int32_t flags {Selectable}

The flags of the row, see the Flags enum above.

## ◆ height

CCoord height {0}

The height of the row.

The documentation for this struct was generated from the following file:

- clistcontrol.h